Events (Admin)

Participant activity logs (Admin)

GET/manage/events/:eventId/entries/:entryId/activity-logs

Return the history of state changes, check-ins and other operations for a registration, newest first. There is no pagination: every log for the registration is returned. Requires the participantsRead permission.

AuthLogin required
Available toOfficial 4S apps only (other apps' access tokens get 403)

Path parameters

eventIdstringrequired

Event ID or slug.

entryIdstringrequired

Entry ID.

Response

FieldTypeDescription
logsEntryActivityLog[]Activity log entries, newest first.
Request
curl https://api.4s.link/manage/events/EVENT_ID/entries/ENTRY_ID/activity-logs \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"logs": [
{
"id": "al1a2b3-...",
"type": "STATE_CHANGED",
"source": "STAFF_MANAGE",
"payload": { "from": "UNUSED", "to": "CHECKED_IN" },
"actorUserId": "a1b2c3d4-...",
"actor": { "id": "a1b2c3d4-...", "slug": "taro", "firstName": "太郎", "lastName": "山田" },
"createdAt": "2026-09-01T01:05:00.000Z"
}
]
}